Subject: Re: bug#64871: 30.0.50; [FR] Add command and menu item to open user init file

From: Eli Zaretskii <[email-masked]>
Date: Thu, 27 Jul 2023 11:54:33 +0300

> From: Ihor Radchenko <[email-masked]>
> Cc: Po Lu <[email-masked]>, [email-masked]
> Date: Thu, 27 Jul 2023 08:32:27 +0000
> 
> My instincts from other GUI apps tell me that common places where
> customization staff is located is Options->Preferences,
> Edit->Preferences, or Tools->Preferences.
> 
> Options->Customize sounds like something new users would be able to
> find.

"Preferences" would be a silly name in Emacs, because every
customization in Emacs is about "preferences".

> > To be fair, the tool bar still has some free space on it.  But I
> > actually wonder about something else: what other applications have a
> > tool-bar button to access the init file, or even just the
> > customization menu?
> 
> "Preferences" gear icon is something I have seen on toolbars.

That's a separate issue and a separate request, though.

> And for init file, it is not a common concept.

Exactly my point.  The easy-on-newbies interface for customization is
not to present them with (a largely empty) init file, far from that.

> Another idea could be adding a button that will open init file right
> into customize interface (near "Apply").

Why?

> Side note: I now tried to look into Emacs "preferences" via menu and it
> feels a bit awkward. Options->Customize Emacs-> has "Top-level
> customization group" and "Browse customization groups" do not sound very
> different and I would never guess (even knowing Emacs) that "browse"
> implies short overview of all options.

Did you read the help-echo strings they display?